Как обновить выводы Blackduck на angular 8.3.29

avatar
Leonardo Romero
9 августа 2021 в 04:08
258
1
0

Мне нужно обновить много пакетов из моего проекта Angular, потому что мне нужно решить отчет blackduck,

Моя угловая версия

 _                      _                 ____ _     ___
/ \   _ __   __ _ _   _| | __ _ _ __     / ___| |   |_ _|

/ △ \ | '_ \ / | | | | |/ _ | '__| | | | | | | / ___ | | | | (| | || | | (| | | | || | | | // __| ||_, |_,||_,|<70958166>|9 _||| |___/

Угловой интерфейс командной строки: 8.3.29 Узел: 12.21.0 ОС: Win32x64 Угловой: 8.2.14

Package                            Version
@angular-devkit/architect          0.801.3
@angular-devkit/build-angular      0.801.3
@angular-devkit/build-optimizer    0.801.3
@angular-devkit/build-webpack      0.801.3
@angular-devkit/core               8.1.3
@angular-devkit/schematics         8.3.29
@angular/cdk                       8.2.3
@angular/cli                       8.3.29
@angular/material                  8.2.3
@angular/material-moment-adapter   10.2.7
@ngtools/webpack                   8.1.3
@schematics/angular                8.3.29
@schematics/update                 0.803.29
rxjs                               6.4.0
typescript                         3.4.5
webpack                            4.35.2

Затем

В отчете поднимается описанный ниже инцидент faye-websocket-node:0.10.0:3, но я не знаю, как решить эту проблему,

Источник
Lars Rødal
9 августа 2021 в 09:30
0

npm-check можно использовать для массового обновления через терминал: npmjs.com/package/npm-check

Ответы (1)

avatar
Manojkumar Muthukumar
9 августа 2021 в 06:21
0

Вы не можете обновить весь пакет сразу.

Вы можете использовать ng update --force allowDirty

В нем будут перечислены новые обновляемые пакеты.

После этого вы можете сделать

npm install package-name@version && npm install package-name@version && npm install package-name@version

Вы можете использовать --force, чтобы избежать ошибок